Bug 765247 - (GLUSTER-3515) Volume specific nfs.insecure-ports option does not allow mounts from insecure ports
Volume specific nfs.insecure-ports option does not allow mounts from insecure...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Shehjar Tikoo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 06:21 EDT by Shehjar Tikoo
Modified: 2011-09-22 03:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: DNR
CRM:
Verified Versions: 3.2.4qa2
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shehjar Tikoo 2011-09-06 06:21:26 EDT
This is a bug in the handling on nfs.insecure-ports option in nfs-rpc. When set using the volume-specific fashion, it still does not allow a mount from an unprivileged port to connect using the -o noresvport option with mount command.
Comment 1 Anand Avati 2011-09-12 06:26:02 EDT
CHANGE: http://review.gluster.com/356 (Change-Id: Ia53f64e923babdd3af2d82b13350c97fa25fac2d) merged in release-3.1 by Vijay Bellur (vijay@gluster.com)
Comment 2 Anand Avati 2011-09-12 06:26:55 EDT
CHANGE: http://review.gluster.com/355 (Change-Id: Ia53f64e923babdd3af2d82b13350c97fa25fac2d) merged in release-3.2 by Vijay Bellur (vijay@gluster.com)
Comment 3 Anand Avati 2011-09-18 22:17:28 EDT
CHANGE: http://review.gluster.com/418 (Change-Id: Ica59a3154c4e7d980d3477dd3879c7cebe92ad87) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 4 Vijaykumar 2011-09-21 02:54:22 EDT
I verified it on release-3.2.4qa2. Its working fine now. 
I want to know, why it is still in assigned state, can it be moved resolved fixed and verified fixed?

Note You need to log in before you can comment on or make changes to this bug.